# $Id: smeserver-gollem.spec,v 1.1 2010/07/08 15:01:01 slords Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

Summary: SME Server specific Gollem configuration and templates.
%define name smeserver-gollem
Name: %{name}
%define version 1.0
%define release 18
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-gollem-1.0-2.defaultbackends.patch
Patch1: smeserver-gollem-1.0-3.templates-custom.patch
Patch2: smeserver-gollem-1.0-4.menuarray.patch
Patch3: smeserver-gollem-1.0-5.menusettings.include.patch
Patch4: smeserver-gollem-1.0-7.API.patch
Patch5: smeserver-gollem-1.0-8.templates-custom-remove.patch
Patch6: smeserver-gollem-1.0-9.filter.patch
Patch7: smeserver-gollem-1.0.10.show_dots.patch
Patch8: smeserver-gollem-1.0-11.gollem_block.patch
Patch9: smeserver-gollem-1.0-12.backends_ftp.patch
Patch10: smeserver-gollem-1.0-13.gollem103_backends.patch
Patch11: smeserver-gollem-1.0-14.httpd.conf.patch 
Patch12: smeserver-gollem-1.0-15.gollem-1.1.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.0
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: gollem-h3 >= 1.1
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%changelog
* Wed Apr 8 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-18
- 2nd attempt - change requires for gollem-h3 so that it will really pull 
  in gollem-h3 properly during a yum update of smeserver-gollem [SME: 5152]

* Wed Apr 8 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-17
- Bump number so that an updated rpm will be used which should pull in gollem-h3
  properly [SME: 5152]

* Wed Apr 1 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-16
- Updated templates to support gollem 1.1

* Mon Mar 09 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-15
- Updated spec file to require gollem-h3 >= 1.04 so that a yum install
  smeserver-gollem will also pull in the most current version of gollem-h3

* Mon Dec 08 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-14
- Updated to fix typo in gollem httpd.conf template fragment

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Sat Mar 24 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-13
- Updated gollem template fragments per gollem 1.0.3.

* Thu Feb 1 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-12
- Patch to 100LocalFtp that changes the hostspec from ftp.yourdomain.com to localhost.

* Sun Dec 3 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-11
- Patch to change gollem-menu template from hidden to block.  This is a cosmetic
  fix so that the horde sidebar does not try to display a non-existent file.

* Sat Oct 7 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-10
- Modified gollem prefs.php template to set show dot files to off by default.
  Even if it's turned on by a user, they will not see those files as they are
  being filtered via patch 6.

* Wed Oct 4 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-9
- Added a regex filter to gollem's 100LocalFtp template that will not display
  files that start with . or the Maildir directory.

* Thu Jul 20 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-8
- Removed old patch 5 as no movement has been made on my bug request 1742
- Removed gollem templates-custom fragment and moved it to the templates directory 
  which will make gollem active and gollem-block hidden when this rpm is installed.

* Tue Jun 22 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-7
- Remove Patch 6
- Fix use of deprecated APIs in httpd.conf template fragment.

* Fri Jun 09 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-6
- Removed deprecated calls to esmith:db and esmith:config

* Wed Mar 22 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-5
- Added an includes statement to 120Menusettings that will grab the information
  in horde/conf.menu.apps.php.  This way each of the individual horde modules  
  don't have to repeatedly process the same template for the menu array section in conf.php.

* Sat Mar 18 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-4
- Added the ability to enable or disable gollem menu icon from showing up on the
  main webmail screen.  To enable config set gollem service MenuArray disabled|enabled
- e-smith-horde still needs to support this feature or manual intervention is
  required.

* Sat Mar 18 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-3
- Added templates-custom fragment for horde/registry.php to make gollem active 
  and gollem-block hidden until the master templates are re-worked in smeserver-horde 
  or it's decided to make each smeserver horde add-on module include their own specific
  registry.php templates.

* Mon Mar 6 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-2
- Changed root and home locations for backends.php template to defaults, 
  which is blank

* Thu Mar 2 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-1
- Re-rolled and updated templates to match Gollem 1.0.2-RC2

* Thu Mar 2 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0
- Initial build

%description
This package adds necessary templates and configuration items
so that Gollem will work properly.

%prep
%setup

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
 
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
